Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfHorizontalRelType

    java.lang.Object
      java.lang.Enum<OdfHorizontalRelType>
          org.odftoolkit.odfdom.dom.type.style.OdfHorizontalRelType

All Implemented Interfaces:
  Serializable, Comparable<OdfHorizontalRelType>

    public enum OdfHorizontalRelType

extends Enum<OdfHorizontalRelType>

DOM implementation of OpenDocument attribute style:horizontal-rel.

Enum Constant Summary
`CHAR`
`FRAME`
`FRAME_CONTENT`
`FRAME_END_MARGIN`
`FRAME_START_MARGIN`
`PAGE`
`PAGE_CONTENT`
`PAGE_END_MARGIN`
`PAGE_START_MARGIN`
`PARAGRAPH`
`PARAGRAPH_CONTENT`
`PARAGRAPH_END_MARGIN`
`PARAGRAPH_START_MARGIN`

Method Summary
`static OdfHorizontalRelType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfHorizontalRelType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfHorizontalRelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfHorizontalRelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARAGRAPH_END_MARGIN

    public static final OdfHorizontalRelType PARAGRAPH_END_MARGIN

### PARAGRAPH_START_MARGIN

    public static final OdfHorizontalRelType PARAGRAPH_START_MARGIN

### PAGE

    public static final OdfHorizontalRelType PAGE

### PAGE_END_MARGIN

    public static final OdfHorizontalRelType PAGE_END_MARGIN

### FRAME

    public static final OdfHorizontalRelType FRAME

### FRAME_END_MARGIN

    public static final OdfHorizontalRelType FRAME_END_MARGIN

### PAGE_CONTENT

    public static final OdfHorizontalRelType PAGE_CONTENT

### PAGE_START_MARGIN

    public static final OdfHorizontalRelType PAGE_START_MARGIN

### FRAME_CONTENT

    public static final OdfHorizontalRelType FRAME_CONTENT

### FRAME_START_MARGIN

    public static final OdfHorizontalRelType FRAME_START_MARGIN

### PARAGRAPH_CONTENT

    public static final OdfHorizontalRelType PARAGRAPH_CONTENT

### CHAR

    public static final OdfHorizontalRelType CHAR

### PARAGRAPH

    public static final OdfHorizontalRelType PARAGRAPH

Method Detail

### values

    public static OdfHorizontalRelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfHorizontalRelType c : OdfHorizontalRelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfHorizontalRelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfHorizontalRelType>`
  Returns:
    return the name of OdfHorizontalRelType

### toString

    public static String toString(OdfHorizontalRelType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfHorizontalRelType, see style:horizontal-rel
  Returns:
    return the name of OdfHorizontalRelType

### enumValueOf

    public static OdfHorizontalRelType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfHorizontalRelType
  Returns:
    return the constant of OdfHorizontalRelType, see style:horizontal-rel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.